
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[Ionic2] Device Interaction in an Ionic App with Cordova Plugins / 憋错料</title>

    <meta name="description" content="[Ionic2] Device Interaction in an Ionic App with Cordova Plugins In this lesson, we are going to learn how to interact with native components through Cordova plugins. We will walk through how to add a Cordova plugin to our application and use it to interact with our native device. In this case, we are going to ins">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">[Ionic2] Device Interaction in an Ionic App with Cordova Plugins</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>In this lesson, we are going to learn how to interact with native components through Cordova plugins. We will walk through how to add a Cordova plugin to our application and use it to interact with our native device. In this case, we are going to install a plugin that will allow us to open URLs in a mobile browser from within our Ionic app.</p>
<p>When you use a link to open a webpage in mobile ionic app, you will find there is no way back to the app.</p>
<pre>&lt;a href="https://google.fi"&gt;Go Google, you cannot come back this app any more&lt;/a&gt;</pre>
<p>To solve that problem, we need to install a plugin:</p>
<pre>npm i --save-dev cordova-plugin-inappbrowser</pre>
<p>To check whether the plugin was successfully installed, you can do:</p>
<pre>ionic plugin</pre>
<p>it will list all the plugins you have installed fot the application.</p>
<p>Now, let‘s try to open the link in browser instead of from app:</p>
<pre>  &lt;a href="https://google.fi"&gt;Go Google, you cannot come back this app any more&lt;/a&gt;
  &lt;button ion-button color="secondary" (click)="openInAppBrowser()"&gt;Open in browser&lt;/button&gt;</pre>
<pre>  openInAppBrowser(){
    const url = "https://www.google.fi";
    window.open(url, ‘_system‘);
  }</pre>
<p>Now upload the application to ionic view:</p>
<pre>ionic upload</pre>
<p>From the mobile phone, sync to latest version.</p>
<p>And we can confrim that, when we click the button, this time, mobile will open the browser to display the page.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-15 05:40:10 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/int/" title="int">int</a>, <a href="https://www.biecuoliao.com/tag/can/" title="can">can</a>, <a href="https://www.biecuoliao.com/tag/cat/" title="cat">cat</a>, <a href="https://www.biecuoliao.com/tag/dev/" title="dev">dev</a>, <a href="https://www.biecuoliao.com/tag/action/" title="action">action</a>, <a href="https://www.biecuoliao.com/tag/webp/" title="webp">webp</a>, <a href="https://www.biecuoliao.com/tag/browser/" title="browser">browser</a>, <a href="https://www.biecuoliao.com/tag/nap/" title="nap">nap</a>, <a href="https://www.biecuoliao.com/tag/secondary/" title="secondary">secondary</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>[Ionic2] Device Interaction in an Ionic App with Cordova Plugins的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/022d9A0.html" rel="bookmark">Ionic app 上传图片之webApi接口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				App上传图片对应的webApi服务端是怎么处理的呢? using System; using System.Collections.Generic; using System.Diagnostics; using System.IO; using System.Linq; using System.Net; using System.Net.Http; using System.Threading; using System.Threading.Tasks; using System.Web;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pk8Kx3.html" rel="bookmark">Ionic App之国际化&lpar;3&rpar; json数组的处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接上一篇Ionic App之国际化(2) json数组的处理 之后,如何处理json数据长度的问题,目前的一个折中方法是翻译长度字段. 多语言文件内容: &quot;MyLa&quot;: { &quot;length&quot; : &quot;2&quot;, &quot;values&quot;:[ { &quot;name&quot; : &quot;Huanhuan&quot;,&quot;value&quot; : &quot;1&quot; }, { &quot;name&quot; : &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rpjxXM.html" rel="bookmark">Ionic app升级插件开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				终于走到了写插件的这个地方了,插件的过程: 1.安装plugman插件,管理我们的程序 npm install -g plugman 2.创建插件项目appUpgrade,cd 到你的目标目录下,执行如下命令: plugman create --name appUpgrade --plugin_id com.caseStudy.plugin --plugin_version 0.0.1 其中com.caseStudy.plugin是java类的包名,以后会引用到. 执行完成后,目录下会看到新建了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aAOvJ0.html" rel="bookmark">【No&period;4 Ionic】修改 cordova 插件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在使用 cordova 过程 使用的插件 有可能不能满足个人需求,就需要修改,下面就直接说说步骤 插件结构 我用 cordova-plugin-inappbrowser 插件 讲解 在目录中有个 src目录,然后 有android  和 ios 目录,直接按需修改就行了 . |-- CONTRIBUTING.md |-- LICENSE |-- NOTICE |-- package.json |-- plugin.xml |-- README.md |-- RELEASENOTES.md |--			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nkAzN3.html" rel="bookmark">ionic app 真机调试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ionic项目开发完成之后需要在手机端测试效果,但是如果出现问题又不知道问题在哪,需要借助chore浏览器打印查看的问题 需要用新版的chore浏览器(至少要v.45以上) 1.将app安装到手机并打开手的开发者模式,将你的app在手机上允许手机调试模式: 2.在浏览器打开chrome://inspect/#devices网址,进去选择打开你的手机,第一次可能需要FQ,此后就不需要了, 3.点开之后就是相当于在pc端测试了,在手机上的操作,报错都会在浏览器的console里面打印			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgQ61g3.html" rel="bookmark">Ionic app 通知在Moto 360 Watch上显示通知&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前一篇文章中,我们已经将Wtach的环境测试成功,下面进入我们自己消息的接收. 1.安装JPush插件在我们的App中,这个具体步骤可以参考 Ionic 安装JPush过程 2.在App上的登录模块设置别名,因为我们的目标是,根据不同的账户发送不同的消息. .controller(&quot;LoginController&quot;,function ($scope, $state, AccountService, $rootScope, $stateParams, $ionicHistory, $i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzDnRO3.html" rel="bookmark">Ionic App之国际化&lpar;1&rpar;单个参数的处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近的app开发中需要考虑多语言国际化的问题,经查资料,目前大部分使用的是angular-translate.js这个组件,网站说明是这个:https://angular-translate.github.io 具体步骤: 1.下载angular-translate.min.js和angular-translate-loader-static-files.min.js,并在index.html中添加引用 &lt;!--多语言模块--&gt; &lt;script src=&quot;lib/angular			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JkNoVM.html" rel="bookmark">ionic App 解决android端在真机上 tab处于顶部的Bug</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在app.js 页面中添加以下代码 .config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider) { $ionicConfigProvider.platform.ios.tabs.style('standard'); $ionicConfigProvider.platform.ios.tabs.position('bottom'); $ionicConfigProvider.platform.android.t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/418qaX3.html" rel="bookmark">Ionic App 启动时报Application Error - The connection to the server was unsuccessful</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在更新App的时候,发现在华为手机上报这个错误,有点困惑,查找资料分析,大概原因是程序在加载index.html网页时,加载的资源过多,造成时间超时, 这个时原因分析https://stackoverflow.com/questions/12319809/application-error-the-connection-to-the-server-was-unsuccessful-file-andr 具体的解决方案是在config.xml文件中添加如下延时设置: &lt;!--解决程序启动问题:A			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MBpv3v.html" rel="bookmark" class="title">China Operating System  电脑操作系统  2016全球互联网排名</a>
					<div>
						韩梦飞沙  韩亚飞  [email protected]  yue31313  han_meng_fei_sha 电脑操作系统 China Operating System 2016全球互联网排名 = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41ljG3.html" rel="bookmark" class="title">【bzoj3926- &lbrack;Zjoi2015&rsqb;诸神眷顾的幻想乡】广义sam</a>
					<div>
						题意:给定一棵树,每个节点有一个颜色,问树上有多少种子串(定义子串为某两个点上的路径),保证叶子节点数&lt;=20.n&lt;=10^5 题解: 叶子节点小于等于20,考虑将每个叶子节点作为根把树给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/E3wwZ83.html" rel="bookmark" class="title">判断回文数</a>
					<div>
						import java.util.Scanner; public class PalindromicNumber { /** * 输入一个五位数判断是否为回文数 */ public static vo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a7k2E4.html" rel="bookmark" class="title">初学WebGL引擎-BabylonJS：第8篇-阴影网格与活动</a>
					<div>
						[playground]-shadows(阴影) 源码 var createScene = function () { var scene = new BABYLON.Scene(engine); / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/412E2XM.html" rel="bookmark" class="title">&lpar;BFS&rpar; acdream 1191</a>
					<div>
						Dragon Maze Time Limit: 2000/1000MS (Java/Others) Memory Limit: 128000/64000KB (Java/Others) Submit  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0knJQjM.html" rel="bookmark" class="title">PostGreSQL--内存上下文（内存池）</a>
					<div>
						背景 原文链接:http://blog.csdn.net/ordeder/article/details/31768749 看了几个内存池的设计,如python,STL,基本上对内存的管理有两种结构: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qQAOW3.html" rel="bookmark" class="title">css的重排与重绘</a>
					<div>
						一直在做pc页面的部分,由于网速快,看上去css的写法并没有什么影响所以对css的要求也没怎么注意过,最近在做一些手机端的东西,发现真的差好多,特别是再搭配上js效果时一些延迟更是让人接受不了.在这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBROPgM.html" rel="bookmark" class="title">重构验收总结（一）</a>
					<div>
						机房重构结束了找师傅验收,验收过程中遇到了以下几个问题需要注意的,我觉得也是自己第一次重构的漏点吧,这次都补齐了! 1.界面丑 为了偷懒,我设计的字体.控件大小都是按照系统默认方式来的,非常不好.在M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmAjePM.html" rel="bookmark" class="title">&period;NET - EntityFramework 实体关系数据模型</a>
					<div>
						EntityFramework 实体关系数据模型(DO.NET Entity Framework) ADO.NET Entity Framework 是微软以 ADO.NET 为基础所发展出来的对象关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wEz7bM.html" rel="bookmark" class="title">jQuery 隐藏和显示</a>
					<div>
						jQuery 隐藏和显示 通过 hide() 和 show() 两个函数,jQuery 支持对 HTML 元素的隐藏和显示: 实例 $(&quot;#hide&quot;).click(functio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BNmOM.html" rel="bookmark" class="title">javaweb回顾第十篇JSTL</a>
					<div>
						前言:JSTL(JSP Standard Tag Library)JSP标准标签库.它的目的是为了简化JSP的开发,如何没有JSTL可能我们开发的时候就需要写大量的自定义标签,无疑会加大开发难度,有了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/022pq20.html" rel="bookmark" class="title">Oracle tns 协议</a>
					<div>
						下面是翻译国外的一篇博客,原文连接如下: https://thesprawl.org/research/oracle-tns-protocol/ 简介 TNS(Transparent Network  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV7yvy0.html" rel="bookmark" class="title">animation js控制 缓动效果</a>
					<div>
						&lt;!DOCTYPE html&gt;&lt;html&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot; /&gt;&lt;title&gt;缓动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoL8Aw0.html" rel="bookmark" class="title">Boa服务器编译移植</a>
					<div>
						Boa服务器移植 Boa是一种非常小巧的Web服务器,其可执行代码只有大约60KB左右.作为一种单任务Web服务器,Boa只能依次完成用户的请求,而不会fork出新的进程来处理并发连接请求.但Boa支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nLBP74.html" rel="bookmark" class="title">个人阶段个人总结07</a>
					<div>
						昨天做了什么?利用学习的bootstrap的知识,进行主界面和各个界面的前段的编写,进行了美化的处理,完成了前端的设计. 今天准备做什么?进行后端消息的发布界面的后台的的程序的设计. 遇到了什么困难? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0neeDjM.html" rel="bookmark" class="title">在Windows8&sol;win10中启用可匿名访问的共享</a>
					<div>
						在 Windows 8/10中启用可匿名访问的共享 就是不用输入用户名和密码,直接通过网上邻居可以访问的共享.1.打开本地组策略编辑器(快捷键Win+R,打开运行,输入gpedit.msc,确定):  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jjr9A4.html" rel="bookmark" class="title">hibernate整合spring事务异常</a>
					<div>
						Write operations are not allowed in read-only mode (FlushMode.MANUAL): Turn your Session into FlushM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35N9jo4.html" rel="bookmark" class="title">&lbrack;MVC学习笔记&rsqb;6&period; 使用Memcache&plus;Cookie解决分布式系统共享登录状态</a>
					<div>
						      为了解决单机处理的瓶颈,增强软件的可用性,我们需要将软件部署在多台服务器上启用多个二级子域名以频道化的方式,根据业务功能将网站分布部署在独立的服务器上,或通过负载均衡技术(如:DNS轮询. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d26vw4.html" rel="bookmark" class="title">IE通过注册表设置每次检查较新版本</a>
					<div>
						公司希望所有用户IE设置每次检查较新版本 肯定是要通过组策略来实现,但是在组策略中没有设置这个选项的 在网上找了一下没有找到(可能是关键字搜的不对,后来又有看到别人分享) 结果在公司域控制器的登录脚本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j9WNWM.html" rel="bookmark" class="title">switch GPU sync object</a>
					<div>
						init: NxDevice m_Device; // is nvn::Device child class NxQueue m_Queue; //is nvn::Queue  child class ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
